<?php

namespace App\Enums;

enum SafetyAndPrivacyStatus: int
{
    case PENDING = 0;
    case CONFIRM = 1;
    case REJECT = 2;

    public static function name(int $state): string
    {
        $mapArray = [
            0 => 'در حال بررسی',
            1 => 'تایید',
            2 => 'عدم تایید',
        ];

        return $mapArray[$state];
    }
}